| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
OpenZWave::Bitfield::Iterator Class Reference

`#include <Bitfield.h>`

## Public Member Functions
uint32 | operator* () const
Iterator & | operator++ ()
Iterator | operator++ (int)
bool | operator== (const Iterator &rhs)
bool | operator!= (const Iterator &rhs)

## Friends
class | Bitfield

## Member Function Documentation

## ◆ operator!=()

bool Bitfield::Iterator::operator!= | ( | const Iterator & | rhs | ) |

## ◆ operator*()

uint32 Bitfield::Iterator::operator* | ( |  | ) | const

## ◆ operator++() [1/2]

Bitfield::Iterator & Bitfield::Iterator::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

Bitfield::Iterator Bitfield::Iterator::operator++ | ( | int | a | ) |

## ◆ operator==()

bool Bitfield::Iterator::operator== | ( | const Iterator & | rhs | ) |

## Friends And Related Symbol Documentation

## ◆ Bitfield

friend class Bitfield
| friend

The documentation for this class was generated from the following files:

- Bitfield.h
- Bitfield.cpp